---
title: HTMLSelectElement.disabled
slug: Web/API/HTMLSelectElement/disabled
tags:
  - API
  - HTML DOM
  - HTMLSelectElement
  - Property
---
<p>{{ APIRef("HTML DOM") }}</p>

<p>The <code><strong>HTMLSelectElement.disabled</strong></code> is a <a href="/en-US/docs/Web/JavaScript/Reference/Global_Objects/Boolean" title="The Boolean object is an object wrapper for a boolean value."><code>Boolean</code></a> that reflects the <code><a href="/en-US/docs/Web/HTML/Element/select#attr-disabled">disabled</a></code> HTML attribute, which indicates whether the control is disabled. If it is disabled, it does not accept clicks. A disabled element is unusable and un-clickable.</p>

<h2 id="Syntax">Syntax</h2>

<p><a class="button section-edit only-icon" href="/en-US/docs/Web/API/HTMLSelectElement/type$edit#Syntax"><span>Edit</span></a></p>

<pre class="syntaxbox"><em>aSelectElement</em>.disabled = aBool;
</pre>

<h2 id="Example">Example</h2>

<h3 id="HTML">HTML</h3>

<pre class="brush: html">&lt;label&gt;
  Allow drinks?
  &lt;input id="allow-drinks" type="checkbox"/&gt;
&lt;/label&gt;

&lt;label for="drink-select"&gt;Drink selection:&lt;/label&gt;
&lt;select id="drink-select" disabled&gt;
  &lt;option value="1"&gt;Water&lt;/option&gt;
  &lt;option value="2"&gt;Beer&lt;/option&gt;
  &lt;option value="3"&gt;Pepsi&lt;/option&gt;
  &lt;option value="4"&gt;Whisky&lt;/option&gt;
&lt;/select&gt;
</pre>

<h3 id="JavaScript">JavaScript</h3>

<pre class="brush: js">var allowDrinksCheckbox = document.getElementById("allow-drinks");
var drinkSelect = document.getElementById("drink-select");

allowDrinksCheckbox.addEventListener("change", function(event) {
  if (event.target.checked) {
    drinkSelect.disabled = false;
  } else {
    drinkSelect.disabled = true;
  }
}, false);</pre>

<h3 id="Result">Result</h3>

<p>{{EmbedLiveSample('Example')}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('HTML WHATWG', '#dom-fe-disabled', 'disabled')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td></td>
  </tr>
  <tr>
   <td>{{SpecName('HTML5 W3C', 'forms.html#dom-select-disabled', 'HTMLSelectElement')}}</td>
   <td>{{Spec2('HTML5 W3C')}}</td>
   <td>Initial definition, snapshot of {{SpecName("HTML WHATWG")}}.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p class="hidden">The compatibility table on this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>

<p>{{Compat("api.HTMLSelectElement.disabled")}}</p>
